Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226143 - Merge Review: mingetty
Summary: Merge Review: mingetty
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: F9MergeReviewTarget
TreeView+ depends on / blocked
 
Reported: 2007-01-31 19:40 UTC by Nobody's working on this, feel free to take it
Modified: 2008-01-25 15:34 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-01-25 15:34:46 UTC
gwync: fedora-review+


Attachments (Terms of Use)
Patch for all current issues, save the URL tag. (deleted)
2007-12-26 21:08 UTC, Gwyn Ciesla
no flags Details | Diff

Description Nobody's working on this, feel free to take it 2007-01-31 19:40:59 UTC
Fedora Merge Review: mingetty

http://cvs.fedora.redhat.com/viewcvs/devel/mingetty/
Initial Owner: laroche@redhat.com

Comment 1 Gwyn Ciesla 2007-12-26 20:24:47 UTC
rpmlint output on SRPM:
mingetty.src: W: summary-ended-with-dot A compact getty program for virtual
consoles only.
Summary ends with a dot.

mingetty.src: W: invalid-license GPL
The value of the License tag was not recognized.  Known values are:
"Adobe", "AFL", "AGPLv1", "AGPLv3", "AMPAS BSD", "ARL", "ASL 1.0", "ASL 1.0+",
"ASL 1.1", "ASL 1.1+", "ASL 2.0", "ASL 2.0+", "APSL 2.0", "APSL 2.0+",
"Artistic 2.0", "Artistic clarified", "BitTorrent", "Boost", "BSD", "BSD with
advertising", "CeCILL", "CDDL", "CPL", "Condor", "Copyright only", "Cryptix",
"Crystal Stacker", "EPL", "eCos", "EFL 2.0", "EFL 2.0+", "EU Datagrid", "FTL",
"Giftware", "Glide", "gnuplot", "GPL+", "GPL+ or Artistic", "GPLv2+ or
Artistic", "GPLv2", "GPLv2 with exceptions", "GPLv2+", "GPLv2+ with
exceptions", "GPLv3", "GPLv3 with exceptions", "GPLv3+", "GPLv3+ with
exceptions", "IBM", "IJG", "ImageMagick", "iMatix", "Imlib2", "Intel ACPI",
"Interbase", "ISC", "Jabber", "JasPer", "LGPLv2", "LGPLv2 with exceptions",
"LGPLv2+", "LGPLv3", "LGPLv3+", "libtiff", "LPL", "LPPL", "mecab-ipadic",
"MIT", "MPLv1.0", "MPLv1.0+", "MPLv1.1", "MPLv1.1+", "NCSA", "NGPL", "NOSL",
"Netscape", "Nokia", "OpenLDAP", "OpenPBS", "OReilly", "OSL 1.0", "OSL 1.0+",
"OSL 1.1", "OSL 1.1+", "OSL 2.0", "OSL 2.0+", "OSL 3.0", "OSL 3.0+",
"OpenSSL", "Phorum", "PHP", "Public Domain", "Python", "QPL", "RPSL", "Ruby",
"Sleepycat", "SISSL", "SLIB", "SPL", "TCL", "UCD", "Vim", "VNLSL", "VSL",
"W3C", "WTFPL", "wxWindows", "xinetd", "Zend", "ZPLv1.0", "ZPLv1.0+",
"ZPLv2.0", "ZPLv2.0+", "ZPLv2.1", "ZPLv2.1+", "zlib", "CDL", "FBSDDL", "GFDL",
"IEEE", "OFSFDL", "Open Publication", "CC-BY", "CC-BY-SA", "DSL", "Free Art",
"Arphic", "Baekmuk", "Bitstream Vera", "mplus", "OFL", "STIX", "Utopia",
"XANO", "Redistributable, no modification permitted", "Freely redistributable
without restriction".

mingetty.src: W: no-url-tag
The URL tag is missing.


Correct license tag is GPLv2+.  Since URL tag is missing, and Red Hat is
upstream, this should probably get space on hosted.

rpmlint on RPMS have the same issues, plus:

The last changelog entry doesn't contain a version. Please insert the
version that is coherent with the version of the package and rebuild it.

Just change 
* Tue Aug 21 2007 Florian La Roche <laroche@redhat.com>

to 

* Tue Aug 21 2007 Florian La Roche <laroche@redhat.com> - 1.07-6

But then of course you'll need to update it again for the rebuild after the
merge review. :)


Comment 2 Gwyn Ciesla 2007-12-26 21:08:36 UTC
Created attachment 290425 [details]
Patch for all current issues, save the URL tag.

Comment 3 Florian La Roche 2008-01-11 21:13:33 UTC
Current rpm package has the above patch applied plus also an url is now added.

Thanks a lot for the review,

Florian La Roche


Comment 4 Patrice Dumas 2008-01-11 22:10:30 UTC
You should not close the review before the reviewer has set
the fedora review flag to +. 

Comment 5 Gwyn Ciesla 2008-01-14 11:11:14 UTC
Indeed.  I've just now finished the rest of the review, and there's another
change to be made.  The Source tag must include a URL, a la: 
Source0: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz

Fix that and I'll approve.

Comment 6 Florian La Roche 2008-01-25 15:31:12 UTC
This is fixed now.

Thanks for the review,

Florian La Roche


Comment 7 Gwyn Ciesla 2008-01-25 15:34:46 UTC
Perfect. Thank you, and you're very welcome.

APPROVED.


Note You need to log in before you can comment on or make changes to this bug.